POST /v1/public/checkout/{token}/shipping-rates
POST
/v1/public/checkout/{token}/shipping-ratesPath parameters
tokenstringrequiredRequest body
requiredapplication/jsondestination_area_idstringrequiredResponses
200OK
itemsShippingRateOption[] | nullrequiredShow propertiesHide properties
Array of
ShippingRateOptioncourier_codestringrequiredcourier_namestringrequiredcourier_service_codestringrequiredcourier_service_namestringrequireddescriptionstringdurationstringpriceinteger<int64>requireddefaultError
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstringRequest
curl -X POST "/v1/public/checkout/string/shipping-rates" \
-H "Content-Type: application/json" \
-d '{
"destination_area_id": "string"
}'const response = await fetch("/v1/public/checkout/string/shipping-rates", {
method: "POST",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"destination_area_id": "string"
})
});import requests
response = requests.post(
"/v1/public/checkout/string/shipping-rates",
headers={
"Content-Type": "application/json"
},
json={
"destination_area_id": "string"
},
)Response
{
"items": [
{
"courier_code": "string",
"courier_name": "string",
"courier_service_code": "string",
"courier_service_name": "string",
"description": "string",
"duration": "string",
"price": 0
}
]
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}